#include "main.h"

usbMsgLen_t usbFunctionSetup(uchar data[8]) {
  usbRequest_t    *rq = (void *)data;
  static uchar    dataBuffer[4];

  if(rq->bRequest == 1){
    dataBuffer[0] = (thermoData [0] & 0xff00)>>8;
    dataBuffer[1] = thermoData [0] & 0x00ff;
    dataBuffer[2] = (thermoData [1] & 0xff00)>>8;
    dataBuffer[3] = thermoData [1] & 0x00ff;
    usbMsgPtr = dataBuffer;
    return 4;
  }

  if(rq->bRequest == 2){
    dataBuffer[0] = (thermoData [2] & 0xff00)>>8;
    dataBuffer[1] = thermoData [2] & 0x00ff;
    dataBuffer[2] = (thermoData [3] & 0xff00)>>8;
    dataBuffer[3] = thermoData [3] & 0x00ff;
    usbMsgPtr = dataBuffer;
    return 4;
  }

  return 0;
}

